package ur;

import java.io.*;
import javax.microedition.lcdui.*;
import javax.microedition.midlet.*;

public class AmpScreen extends Form implements CommandListener
{
    public AmpScreen()
    {
	super("Amplifier");
	setCommandListener(this);

	mAmpMenu = new Command("AV Menu",Command.SCREEN,1);
	addCommand(mBack);
	addCommand(mHome);
	addCommand(mAmpMenu);

	refresh();
    }

    public void refresh()
    {
	while (size() > 0)
	    delete(0);
	
	// Create the radio tuner section
	mRadioLabel = new StringItem("Radio Tuner",null);
	mTuner = new TextField("Station #", "", 5, TextField.NUMERIC);
	mTunerOptions = new ChoiceGroup("Tuner Choice", ChoiceGroup.EXCLUSIVE);
	mTunerOptions.append("AM",null);
	mTunerOptions.append("FM",null);

	append(mRadioLabel);
	append(mTuner);
	append(mTunerOptions);
	
	// Other options
	mSubtitles = new ChoiceGroup("Subtitles", ChoiceGroup.EXCLUSIVE);
	mSubtitles.append("On",null);
	mSubtitles.append("Off",null);

	mLanguageOptions = new ChoiceGroup("Subtitle Language", ChoiceGroup.EXCLUSIVE);
	mLanguageOptions.append("English",null);
	mLanguageOptions.append("Spanish",null);
	mLanguageOptions.append("Japanese",null);
	mLanguageOptions.append("German",null);
	mLanguageOptions.append("Klingon",null);

	append(mSubtitles);
	append(mLanguageOptions);
	
	// Speaker level options
	mMultiChannel = new ChoiceGroup("Multi Channel", ChoiceGroup.EXCLUSIVE);
	mMultiChannel.append("On",null);
	mMultiChannel.append("Off",null);

	mSpeakerLabel = new StringItem("Speaker Levels in dB",null);
	mFrontBalance = new Gauge("Front", true, 20, 5);
	mCenterSpeaker = new Gauge("Center", true, 20, 5);
	mLeftSpeaker = new Gauge("Left Sat", true, 20, 5);
	mRightSpeaker = new Gauge("Right Sat", true, 20, 5);
	mSubWoofer = new Gauge("Sub Woof.", true, 20, 5);

	if (!Devices.mTVSpeakersOnly)
	{
	    append(mMultiChannel);
	    append(mSpeakerLabel);
	    if (Devices.mFrontSpeakersAdded)
		append(mFrontBalance);
	    if (Devices.mCenterSpeakerAdded)
		append(mCenterSpeaker);
	    if (Devices.mSatelliteSpeakersAdded)
		append(mLeftSpeaker);
	    if (Devices.mSatelliteSpeakersAdded)
		append(mRightSpeaker);
	    if (Devices.mSubWooferAdded)
		append(mSubWoofer);
	}
    }

    public void commandAction(Command c, Displayable d)
    {
        if (c == mBack)
            Main.goDevices();
	if (c == mHome)
            Main.goHome();
    }

    private Command     mHome = new Command("Home", Command.SCREEN, 1);
    private Command     mBack = new Command("Back", Command.SCREEN, 1);
    private StringItem  mRadioLabel;
    private TextField   mTuner;
    private ChoiceGroup mTunerOptions;
    private ChoiceGroup mSubtitles;
    private ChoiceGroup mLanguageOptions;
    private ChoiceGroup mMultiChannel;
    private StringItem  mSpeakerLabel;
    private Gauge       mFrontBalance;
    private Gauge       mCenterSpeaker;
    private Gauge       mLeftSpeaker;
    private Gauge       mRightSpeaker;
    private Gauge       mSubWoofer;
    private Command     mAmpMenu;
}
