package ur;

import javax.microedition.lcdui.*;

public class DeviceSetup extends Form
    implements CommandListener, ItemStateListener
{
    public DeviceSetup(String device)
    {
	super(device + " Setup");
	mDevice = new String(device);
	setItemStateListener(this);
	setCommandListener(this);
	addCommand(mDone);

	mAmpQuestion = new ChoiceGroup("Is your " + device + " connected to your amplifier?", ChoiceGroup.EXCLUSIVE);
	mAmpQuestion.append("Yes", null);
	mAmpQuestion.append("No", null);
	
	mAmpChannelQuestion = new ChoiceGroup("Which video mode is your " + device + " on?", ChoiceGroup.EXCLUSIVE);
	mAmpChannelQuestion.append("Video1", null);
	mAmpChannelQuestion.append("Video2", null);
	mAmpChannelQuestion.append("Video3", null);
	mAmpChannelQuestion.append("Video4", null);

	mChannelQuestion.append("Yes", null);
	mChannelQuestion.append("No", null);
	
	mVideoQuestion.append("Yes", null);
	mVideoQuestion.append("No", null);

	if (Devices.mAmpAdded)
	{
	    append(mAmpQuestion);
	    itemStateChanged(mAmpQuestion);
	}
	else
	{
	    append(mChannelQuestion);
	    itemStateChanged(mChannelQuestion);
	}
    }

    public void itemStateChanged(Item item)
    {
	if (item == mAmpQuestion)
	{
	    if (size() > 2) delete(2);

	    if (mAmpQuestion.getSelectedIndex() == 0)
	    {
		if (size() <= 1)
		    append(mAmpChannelQuestion);
		else
		    set(1, mAmpChannelQuestion);
	    }
	    else
	    {
		if (size() <= 1)
		    append(mChannelQuestion);
		else
		    set(1, mChannelQuestion);
	    }
	}

	if (item == mChannelQuestion)
	{
	    int num = 1;
	    if (Devices.mAmpAdded) num++;

	    if (mChannelQuestion.getSelectedIndex() == 0)
	    {
		if (size() <= num)
		    append(mChannel);
		else
		    set(num, mChannel);
	    }
	    else
	    {
		if (size() <= num)
		    append(mVideoQuestion);
		else
		    set(num, mVideoQuestion);
	    }
	}

    }

    public void commandAction(Command c, Displayable d)
    {
	if (c == mDone)
	    Main.goNextSetup();
    }

    private ChoiceGroup mAmpQuestion;
    private ChoiceGroup mAmpChannelQuestion;
    private ChoiceGroup mChannelQuestion = new ChoiceGroup(
	"Does the TV need to be set to a particular channel?",
	ChoiceGroup.EXCLUSIVE);
    private Gauge mChannel = new Gauge("Channel", true, 99, 5);
    private ChoiceGroup mVideoQuestion = new ChoiceGroup(
	"Does the TV need to be in TV/Video mode?",
	ChoiceGroup.EXCLUSIVE);
    private Command mDone = new Command("Done", Command.SCREEN, 1);
    private String mDevice;
}
