package ur;

import java.io.*;
import javax.microedition.lcdui.*;
import javax.microedition.midlet.*;

public class Main extends MIDlet
{
    static
    {
        try
        {
            mHomeScreen = new HomeScreen();
        }
        catch (IOException e)
        {
            System.err.println("Could not instantiate home screen: " + e);
            System.exit(-1);
        }
    }

    public Main() throws IOException
    {
        mInstance = this;
    }

    public static void goDevices()
    {
        setDisplay(new DevicesScreen());
    }

    public static void goHome()
    {
	updateDevices();
        setDisplay(mInstance.mHomeScreen);
    }

    public static void goNextSetup()
    {
	if (Devices.mSetupPages.size() > 0)
	{
	    Displayable setup = (Displayable)Devices.mSetupPages.firstElement();
	    Devices.mSetupPages.removeElementAt(0);
	    setDisplay(setup);
	}
	else
	    goHome();
    }

    public static void setDisplay(Displayable d)
    {
        Display.getDisplay(mInstance).setCurrent(d);
    }

    public static void setAlert(Alert alert, Displayable next)
    {
        Display.getDisplay(mInstance).setCurrent(alert, next);
    }

    public static void exit()
    {
        mInstance.exitMIDlet();
    }

    public static void updateDevices()
    {
        mHomeScreen.updateDevices();
    }


    private void exitMIDlet()
    {
        destroyApp(false);
        notifyDestroyed();
    }

    protected void startApp() 
    {
        setAlert(new SetupScreen(), new AddDevicesScreen());
    }

    protected void pauseApp()
    {
    }

    protected void destroyApp(boolean u)
    {
        mInstance = null;
    }

    private static Main mInstance;
    private static HomeScreen mHomeScreen;
};
